# PhpDependLoggerElement

Logger element for the PhpDependTask.

package | phing.tasks.ext.pdepend
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: c5b569118db6a6d66c6568702f14e8ae37fad9a3 $
since | 2.4.1

### Methods

## Get the output file.

    getOutfile() : \PhingFile

### Response

`\PhingFile`

## Get the logger type

    getType() : string

### Response

`string`

## Sets the output file for the logger results.

    setOutfile(\PhingFile $outfile)

### Arguments

#### $outfile

`\PhingFile`

The output file

## Sets the logger type.

    setType(string $type)

throws |

### Arguments

#### $type

`string`

Type of the logger

### Properties

## The type of the logger.

    type : string

var |

### Type(s)

`string`

## Output file for logger.

    outfile : \PhingFile

var |

### Type(s)

`\PhingFile`